<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Notifications/test/NotificationsCapabilityAgentTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></li><li class="navelem"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">NotificationsCapabilityAgentTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;queue&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_attachment_manager_8h_source.html">AVSCommon/AVS/Attachment/MockAttachmentManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h_source.html">AVSCommon/AVS/IndicatorState.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_alexa_client_s_d_k_init_8h_source.html">AVSCommon/AVS/Initialization/AlexaClientSDKInit.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_notifications_audio_factory_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/NotificationsAudioFactoryInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_exception_encountered_sender_8h_source.html">AVSCommon/SDKInterfaces/MockExceptionEncounteredSender.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_context_manager_8h_source.html">AVSCommon/SDKInterfaces/MockContextManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_a_v_s_common_2_s_d_k_interfaces_2test_2_a_v_s_common_2_s_d_k_interfaces_2_mock_directive_sequencer_8h_source.html">AVSCommon/SDKInterfaces/MockDirectiveSequencer.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_directive_handler_result_8h_source.html">AVSCommon/SDKInterfaces/MockDirectiveHandlerResult.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_console_logger_8h_source.html">AVSCommon/Utils/Logger/ConsoleLogger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_customer_data_manager_8h_source.html">RegistrationManager/CustomerDataManager.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_notifications_capability_agent_8h_source.html">Notifications/NotificationsCapabilityAgent.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_notification_indicator_8h_source.html">Notifications/NotificationIndicator.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_notification_renderer_interface_8h_source.html">Notifications/NotificationRendererInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_notification_renderer_observer_interface_8h_source.html">Notifications/NotificationRendererObserverInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for NotificationsCapabilityAgentTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_notifications_capability_agent_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2test_2_notifications_capability_agent_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2test_2_notifications_capability_agent_test_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2test_2_notifications_capability_agent_test_8cpp">
<area shape="rect" id="node8" href="_mock_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/MockAttachmentManager.h" alt="" coords="1211,119,1412,157"/>
<area shape="rect" id="node12" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html" title="AVSCommon/AVS/IndicatorState.h" alt="" coords="3574,305,3801,331"/>
<area shape="rect" id="node14" href="_alexa_client_s_d_k_init_8h.html" title="AVSCommon/AVS/Initialization\l/AlexaClientSDKInit.h" alt="" coords="908,205,1112,244"/>
<area shape="rect" id="node17" href="_notifications_audio_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/NotificationsAudioFactory\lInterface.h" alt="" coords="4161,292,4375,344"/>
<area shape="rect" id="node20" href="_mock_exception_encountered_sender_8h.html" title="AVSCommon/SDKInterfaces\l/MockExceptionEncounteredSender.h" alt="" coords="2040,119,2285,157"/>
<area shape="rect" id="node22" href="_mock_context_manager_8h.html" title="AVSCommon/SDKInterfaces\l/MockContextManager.h" alt="" coords="2308,119,2499,157"/>
<area shape="rect" id="node24" href="_a_v_s_common_2_s_d_k_interfaces_2test_2_a_v_s_common_2_s_d_k_interfaces_2_mock_directive_sequencer_8h.html" title="AVSCommon/SDKInterfaces\l/MockDirectiveSequencer.h" alt="" coords="1826,119,2016,157"/>
<area shape="rect" id="node28" href="_mock_directive_handler_result_8h.html" title="AVSCommon/SDKInterfaces\l/MockDirectiveHandlerResult.h" alt="" coords="1545,119,1750,157"/>
<area shape="rect" id="node30" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="720,119,890,157"/>
<area shape="rect" id="node35" href="_console_logger_8h.html" title="AVSCommon/Utils/Logger\l/ConsoleLogger.h" alt="" coords="340,119,516,157"/>
<area shape="rect" id="node37" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="3947,205,4121,244"/>
<area shape="rect" id="node41" href="_notifications_capability_agent_8h.html" title="Notifications/Notifications\lCapabilityAgent.h" alt="" coords="2900,119,3070,157"/>
<area shape="rect" id="node47" href="_notification_indicator_8h.html" title="NotificationIndicator.h" alt="" coords="1440,305,1589,331"/>
<area shape="rect" id="node48" href="_notification_renderer_interface_8h.html" title="NotificationRendererInterface.h" alt="" coords="3427,212,3633,237"/>
<area shape="rect" id="node49" href="_notification_renderer_observer_interface_8h.html" title="NotificationRendererObserver\lInterface.h" alt="" coords="3825,299,4022,337"/>
<area shape="rect" id="node11" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="1056,299,1264,337"/>
<area shape="rect" id="node21" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="2123,299,2388,337"/>
<area shape="rect" id="node23" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="2480,205,2671,244"/>
<area shape="rect" id="node25" href="_directive_sequencer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveSequencerInterface.h" alt="" coords="1852,205,2056,244"/>
<area shape="rect" id="node26" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1612,299,1800,337"/>
<area shape="rect" id="node29" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="1825,299,2049,337"/>
<area shape="rect" id="node33" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="402,205,578,244"/>
<area shape="rect" id="node34" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="402,299,578,337"/>
<area shape="rect" id="node36" href="_log_string_formatter_8h.html" title="AVSCommon/Utils/Logger\l/LogStringFormatter.h" alt="" coords="152,205,328,244"/>
<area shape="rect" id="node40" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="3332,299,3500,337"/>
<area shape="rect" id="node42" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="2263,205,2456,244"/>
<area shape="rect" id="node43" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="2614,299,2807,337"/>
<area shape="rect" id="node44" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="2797,205,3023,244"/>
<area shape="rect" id="node45" href="_notifications_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/NotificationsObserverInterface.h" alt="" coords="3657,205,3873,244"/>
<area shape="rect" id="node46" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2830,299,3025,337"/>
<area shape="rect" id="node50" href="_notifications_storage_interface_8h.html" title="NotificationsStorageInterface.h" alt="" coords="3199,212,3403,237"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_audio_factory.html">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsAudioFactory</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_observer.html">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_storage.html">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_mock_notification_renderer.html">alexaClientSDK::capabilityAgents::notifications::test::MockNotificationRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notifications_capability_agent_test.html">alexaClientSDK::capabilityAgents::notifications::test::NotificationsCapabilityAgentTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html">alexaClientSDK::capabilityAgents::notifications</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html">alexaClientSDK::capabilityAgents::notifications::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_notifications_capability_agent_test_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a868f2befd5cecee0ab92eec6219c9de4"><td class="memItemLeft" align="right" valign="top">static std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a868f2befd5cecee0ab92eec6219c9de4">alexaClientSDK::capabilityAgents::notifications::test::WAIT_TIMEOUT</a> (1000)</td></tr>
<tr class="memdesc:a868f2befd5cecee0ab92eec6219c9de4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plenty of time for a test to complete.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a868f2befd5cecee0ab92eec6219c9de4">More...</a><br /></td></tr>
<tr class="separator:a868f2befd5cecee0ab92eec6219c9de4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62e11916c76f0e74b9561c1a89839652"><td class="memItemLeft" align="right" valign="top">static std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a62e11916c76f0e74b9561c1a89839652">alexaClientSDK::capabilityAgents::notifications::test::RENDER_TIME</a> (10)</td></tr>
<tr class="memdesc:a62e11916c76f0e74b9561c1a89839652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to simulate a notification rendering.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a62e11916c76f0e74b9561c1a89839652">More...</a><br /></td></tr>
<tr class="separator:a62e11916c76f0e74b9561c1a89839652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad09b4f1183f6545050fd6d25188d2fce"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#ad09b4f1183f6545050fd6d25188d2fce">alexaClientSDK::capabilityAgents::notifications::test::NAMESPACE_NOTIFICATIONS</a> (&quot;Notifications&quot;)</td></tr>
<tr class="memdesc:ad09b4f1183f6545050fd6d25188d2fce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Notifications namespace.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#ad09b4f1183f6545050fd6d25188d2fce">More...</a><br /></td></tr>
<tr class="separator:ad09b4f1183f6545050fd6d25188d2fce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72cca77e785edb6062cdb672133b4aef"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a72cca77e785edb6062cdb672133b4aef">alexaClientSDK::capabilityAgents::notifications::test::NAME_SET_INDICATOR</a> (&quot;SetIndicator&quot;)</td></tr>
<tr class="memdesc:a72cca77e785edb6062cdb672133b4aef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for Notifications SetIndicator directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a72cca77e785edb6062cdb672133b4aef">More...</a><br /></td></tr>
<tr class="separator:a72cca77e785edb6062cdb672133b4aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7bbde815c7b2ce93e2917b7b3edd4c7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#af7bbde815c7b2ce93e2917b7b3edd4c7">alexaClientSDK::capabilityAgents::notifications::test::NAME_CLEAR_INDICATOR</a> (&quot;ClearIndicator&quot;)</td></tr>
<tr class="memdesc:af7bbde815c7b2ce93e2917b7b3edd4c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for Notifications ClearIndicator directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#af7bbde815c7b2ce93e2917b7b3edd4c7">More...</a><br /></td></tr>
<tr class="separator:af7bbde815c7b2ce93e2917b7b3edd4c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5845f95c8c1ee3aa048eea28e698b08f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a5845f95c8c1ee3aa048eea28e698b08f">alexaClientSDK::capabilityAgents::notifications::test::MESSAGE_ID_TEST</a> (&quot;MessageId_Test&quot;)</td></tr>
<tr class="memdesc:a5845f95c8c1ee3aa048eea28e698b08f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message Id for testing.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a5845f95c8c1ee3aa048eea28e698b08f">More...</a><br /></td></tr>
<tr class="separator:a5845f95c8c1ee3aa048eea28e698b08f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a166cb5aa754b85cf186026651ddfcdd6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a166cb5aa754b85cf186026651ddfcdd6">alexaClientSDK::capabilityAgents::notifications::test::MESSAGE_ID_TEST2</a> (&quot;MessageId_Test2&quot;)</td></tr>
<tr class="separator:a166cb5aa754b85cf186026651ddfcdd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499638bedad4f98016da2a5fe2f63a33"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a499638bedad4f98016da2a5fe2f63a33">alexaClientSDK::capabilityAgents::notifications::test::CONTEXT_ID_TEST</a> (&quot;ContextId_Test&quot;)</td></tr>
<tr class="memdesc:a499638bedad4f98016da2a5fe2f63a33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context ID for testing.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a499638bedad4f98016da2a5fe2f63a33">More...</a><br /></td></tr>
<tr class="separator:a499638bedad4f98016da2a5fe2f63a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d53c2b97c667e23e234ceefcd36b576"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a6d53c2b97c667e23e234ceefcd36b576">alexaClientSDK::capabilityAgents::notifications::test::ASSET_ID1</a> (&quot;assetId1&quot;)</td></tr>
<tr class="memdesc:a6d53c2b97c667e23e234ceefcd36b576"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test fields for payloads.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a6d53c2b97c667e23e234ceefcd36b576">More...</a><br /></td></tr>
<tr class="separator:a6d53c2b97c667e23e234ceefcd36b576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a7db625bc8d5a8698b982d2827aa9e8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a5a7db625bc8d5a8698b982d2827aa9e8">alexaClientSDK::capabilityAgents::notifications::test::ASSET_ID2</a> (&quot;assetId2&quot;)</td></tr>
<tr class="separator:a5a7db625bc8d5a8698b982d2827aa9e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c38bc81f9de123334084c3bbccd1278"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a0c38bc81f9de123334084c3bbccd1278">alexaClientSDK::capabilityAgents::notifications::test::ASSET_URL1</a> (&quot;assetUrl1&quot;)</td></tr>
<tr class="separator:a0c38bc81f9de123334084c3bbccd1278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51c8942727488aa5171558d01e0c7cf5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a51c8942727488aa5171558d01e0c7cf5">alexaClientSDK::capabilityAgents::notifications::test::ASSET_URL2</a> (&quot;assetUrl2&quot;)</td></tr>
<tr class="separator:a51c8942727488aa5171558d01e0c7cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d288710375ed3314efba9807e61f0b4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a2d288710375ed3314efba9807e61f0b4">alexaClientSDK::capabilityAgents::notifications::test::TAG</a> (&quot;NotificationsCapabilityAgentTest&quot;)</td></tr>
<tr class="memdesc:a2d288710375ed3314efba9807e61f0b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a2d288710375ed3314efba9807e61f0b4">More...</a><br /></td></tr>
<tr class="separator:a2d288710375ed3314efba9807e61f0b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee92c8be83993a75e56de64fc2b6aaac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#aee92c8be83993a75e56de64fc2b6aaac">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_create)</td></tr>
<tr class="separator:aee92c8be83993a75e56de64fc2b6aaac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a784045e84b1ed2a93afc0da45dd7ab4d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a784045e84b1ed2a93afc0da45dd7ab4d">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_nonEmptyStartupQueue)</td></tr>
<tr class="separator:a784045e84b1ed2a93afc0da45dd7ab4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afee2d4aa5cf8937ceac77660eb749af0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#afee2d4aa5cf8937ceac77660eb749af0">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_sendSetIndicator)</td></tr>
<tr class="separator:afee2d4aa5cf8937ceac77660eb749af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7f650eb36d918f420dc54b2f09706ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#ad7f650eb36d918f420dc54b2f09706ac">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_sendSetIndicatorWithAudio)</td></tr>
<tr class="separator:ad7f650eb36d918f420dc54b2f09706ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b4274404310facd51e7e872f6656cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a89b4274404310facd51e7e872f6656cf">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_sendSetIndicatorWithVisualIndicator)</td></tr>
<tr class="separator:a89b4274404310facd51e7e872f6656cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a521a3cb991ff3e88ed32ad326d713d1d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a521a3cb991ff3e88ed32ad326d713d1d">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_sameAssetId)</td></tr>
<tr class="separator:a521a3cb991ff3e88ed32ad326d713d1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe05c5a30df03a1bd409436278c63de0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#abe05c5a30df03a1bd409436278c63de0">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_persistVisualIndicatorPreserved)</td></tr>
<tr class="separator:abe05c5a30df03a1bd409436278c63de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92be5b9422d032f74182692a25008d60"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a92be5b9422d032f74182692a25008d60">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_clearIndicatorWithEmptyQueue)</td></tr>
<tr class="separator:a92be5b9422d032f74182692a25008d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657e408cf477a7c07b46308bf4e9260c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a657e408cf477a7c07b46308bf4e9260c">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_clearIndicatorWithEmptyQueueAndIndicatorOn)</td></tr>
<tr class="separator:a657e408cf477a7c07b46308bf4e9260c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99d053d429f3f9db8376ff57ce22364d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a99d053d429f3f9db8376ff57ce22364d">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, testSlow_clearIndicatorAfterMultipleSetIndicators)</td></tr>
<tr class="separator:a99d053d429f3f9db8376ff57ce22364d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90fe15be13ceb45dfe368034e83606cb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a90fe15be13ceb45dfe368034e83606cb">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_multipleSetIndicators)</td></tr>
<tr class="separator:a90fe15be13ceb45dfe368034e83606cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ad165b77f031630fd3e40eb2e62d374"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a4ad165b77f031630fd3e40eb2e62d374">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationsCapabilityAgentTest, test_clearData)</td></tr>
<tr class="separator:a4ad165b77f031630fd3e40eb2e62d374"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_notifications_capability_agent_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a45497b787e237fc72d98aed96ea30e91"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a45497b787e237fc72d98aed96ea30e91">alexaClientSDK::capabilityAgents::notifications::test::NAMESPACE_AND_NAME_INDICATOR_STATE</a> {NAMESPACE_NOTIFICATIONS, &quot;IndicatorState&quot;}</td></tr>
<tr class="memdesc:a45497b787e237fc72d98aed96ea30e91"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>NamespaceAndName</code> to send to the <code>ContextManager</code>.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a45497b787e237fc72d98aed96ea30e91">More...</a><br /></td></tr>
<tr class="separator:a45497b787e237fc72d98aed96ea30e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a625ecd60606db38270691c640e019"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a57a625ecd60606db38270691c640e019">alexaClientSDK::capabilityAgents::notifications::test::DEFAULT_NOTIFICATION_AUDIO</a> {&quot;default notification audio&quot;}</td></tr>
<tr class="memdesc:a57a625ecd60606db38270691c640e019"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default "audio" for testing.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a57a625ecd60606db38270691c640e019">More...</a><br /></td></tr>
<tr class="separator:a57a625ecd60606db38270691c640e019"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c4b8a7908f371074c42be76ff846026"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a7c4b8a7908f371074c42be76ff846026">alexaClientSDK::capabilityAgents::notifications::test::NOTIFICATIONS_CONFIG_JSON</a></td></tr>
<tr class="memdesc:a7c4b8a7908f371074c42be76ff846026"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocking the json config file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a7c4b8a7908f371074c42be76ff846026">More...</a><br /></td></tr>
<tr class="separator:a7c4b8a7908f371074c42be76ff846026"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
